com.google.common.cache

## Class RemovalListeners

- java.lang.Object
- - com.google.common.cache.RemovalListeners

-     public final class RemovalListeners
      extends java.lang.Object

  A collection of common removal listeners.
  Since:
    10.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <K,V> RemovalListener<K,V>` | `asynchronous(RemovalListener<K,V> listener, java.util.concurrent.Executor executor)` Returns a `RemovalListener` which processes all eviction notifications using `executor`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### asynchronous

          public static <K,V> RemovalListener<K,V> asynchronous(RemovalListener<K,V> listener,
                                                java.util.concurrent.Executor executor)

      Returns a `RemovalListener` which processes all eviction notifications using `executor`.
      Parameters:
        `listener` - the backing listener
        `executor` - the executor with which removal notifications are asynchronously executed